# /etc/profile.d/zannyung.sh - AnNyung LInux default alias

[ -n "$SU_USER" ] && alias on="ssh -l $SU_USER" || alias on="ssh"
alias onr='ssh -l root'
alias onrp='ssh -l root -p 2020'
alias srsync='rsync -rltvog --rsh="ssh -l root -p 2020"'

alias rpmq='rpm -q --qf '\''%{epoch}:%{name}-%{version}-%{release}.%{arch}\n'\'''

alias tarz='tar cvfpz'
alias tarj='tar cvfpj'
alias tart='tar tvfpz'
alias tartj='tar tvfpj'
alias tarx='tar xvfpz'
alias tarxj='tar xvfpj'

alias valgrind-mem='valgrind --tool=memcheck --leak-check=full --leak-resolution=high'

if [ "`id -un`" = "root" ] && ! shopt -oq posix; then
	for ansrc in $(/bin/ls /usr/share/annyung-release/functions.d/bash/* 2> /dev/null)
	do
		source $ansrc
	done
fi

